UserEventUnavailableEvent

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.dvb.event
Class UserEventUnavailableEvent

    java.lang.Object
      java.util.EventObject
          org.davic.resources.ResourceStatusEvent
              org.dvb.event.UserEventUnavailableEvent

All Implemented Interfaces:
  Serializable

    public class UserEventUnavailableEvent

extends ResourceStatusEvent

This event is sent to the resource status event listeners when user input events are exclusively reserved by an application.

Each application shall receive its own instance of the `UserEventRepository` object which forms the source to this event. Any changes made to that repository by any one application shall not impact the instance seen by any other application.

Any applications which have registered for shared access to any of these user events shall stop receiving those user events following receipt of this event. If such user events become available again, a `UserEventAvailableEvent` shall be generated by the platform before any more of those user events are received by applications.

Since:
  MHP 1.0.2
See Also:
  Serialized Form

Constructor Summary
`UserEventUnavailableEvent(Object source)` Constructor for the event.

Method Summary
`Object` | `getSource()` Returns a `UserEventRepository` which contains the events which were exclusively reserved as passed into the constructor of the instance.

Methods inherited from class java.util.EventObject
`toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UserEventUnavailableEvent

    public UserEventUnavailableEvent(Object source)

  Constructor for the event.

  Parameters:
    `source` - a `UserEventRepository` which contains the events which were exclusively reserved.
  Since:
    MHP 1.0.2

Method Detail

### getSource

    public Object getSource()

  Returns a `UserEventRepository` which contains the events which were exclusively reserved as passed into the constructor of the instance.

  Overrides:
    `getSource` in class `ResourceStatusEvent`
  Returns:
    a `UserEventRepository`
  Since:
    MHP 1.0.2

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD